Package: org.grails.cli.profile.commands.factory

## [Groovy] Interface CommandResourceResolver

-     interface CommandResourceResolver

  Since:
    3.0
  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.util.Collection<Resource>` | `findCommandResources(Profile profile)` Finds Command resources for the given profile
    `` | `abstract java.util.Collection<java.lang.String>` | `getMatchingFileExtensions()` The pattern to match file names with

- - ### Method Detail

    - #### abstract java.util.Collection<Resource> findCommandResources(Profile profile)

      Finds Command resources for the given profile

      Parameters:
        `profile` - The Profile instance
      Returns:
        A collection of Resource instances

    - #### abstract java.util.Collection<java.lang.String> getMatchingFileExtensions()

      The pattern to match file names with

      Returns:
        A regex pattern